## mythtv 0.27.0%2Bfixes.20140324.8ee257c

=== external/Makefile ===
include ../config.mak

SUBDIRS = FFmpeg qjson libmythbluray libsamplerate
ifeq ($(CONFIG_MYTHLOGSERVER),yes)
    SUBDIRS += zeromq nzmqt
endif

ifdef CONFIG_HDHOMERUN
    SUBDIRS += libhdhomerun
endif

SUBDIRS_ALL = $(addsuffix -all, ${SUBDIRS})
SUBDIRS_INSTALL = $(addsuffix -install, ${SUBDIRS})
SUBDIRS_UNINSTALL = $(addsuffix -uninstall, ${SUBDIRS})
SUBDIRS_CLEAN = $(addsuffix -clean, ${SUBDIRS})
SUBDIRS_DISTCLEAN = $(addsuffix -distclean, ${SUBDIRS})

default:	all
all:		${SUBDIRS_ALL}
install:	${SUBDIRS_INSTALL}
uninstall:	${SUBDIRS_UNINSTALL}
clean:		${SUBDIRS_CLEAN}
distclean:	${SUBDIRS_DISTCLEAN}


FFmpeg-all FFmpeg-install FFmpeg-uninstall FFmpeg-clean FFmpeg-distclean:
	${MAKE} -C FFmpeg ${@:FFmpeg-%=%} 

zeromq-all:	zeromq/Makefile
	${MAKE} -C zeromq all
ifeq ($(CONFIG_DARWIN),yes)
	install_name_tool -id "@rpath/$(LIBPREF)zmq.1$(SLIBSUF)" zeromq/src/.libs/$(LIBPREF)zmq.1$(SLIBSUF)
endif

zeromq-install zeromq-uninstall zeromq-clean zeromq-distclean:
	${MAKE} -C zeromq ${@:zeromq-%=%} DESTDIR=${INSTALL_ROOT}

nzmqt-all:	zeromq-all
	(cd nzmqt/src ; ${QMAKE} -o Makefile)
	${MAKE} -C nzmqt/src all

nzmqt-install nzmqt-uninstall nzmqt-clean nzmqt-distclean:
	${MAKE} -C nzmqt/src ${@:nzmqt-%=%} 

qjson-all:
	(cd qjson ; ${QMAKE} -o Makefile)
	-[ -f qjson/include/QJson ] && \
	  (cd qjson/include ; ${RM} QJson ; ${LN_S} ../src QJson)
	${MAKE} -C qjson all

qjson-install qjson-uninstall qjson-clean qjson-distclean:
	${MAKE} -C qjson ${@:qjson-%=%} 

libhdhomerun-all libhdhomerun-clean libhdhomerun-distclean libhdhomerun-install libhdhomerun-uninstall:
	${MAKE} -C libhdhomerun -f Makefile.lib ${@:libhdhomerun-%=%}
	${MAKE} -C libhdhomerun -f Makefile.app ${@:libhdhomerun-%=%}

libmythbluray-all libmythbluray-clean libmythbluray-distclean libmythbluray-install libmythbluray-uninstall:
	${MAKE} -C libmythbluray ${@:libmythbluray-%=%}

libsamplerate-all libsamplerate-clean libsamplerate-distclean libsamplerate-install libsamplerate-uninstall:
	${MAKE} -C libsamplerate ${@:libsamplerate-%=%}

=== external/zeromq/builds/android/Makefile ===
LOCAL_PATH := $(call my-dir)
include $(CLEAR_VARS)

APP_PLATFORM = android-8

LOCAL_MODULE := libzmq
LOCAL_SRC_FILES := clock.cpp options.cpp socket_base.cpp command.cpp own.cpp streamer.cpp connect_session.cpp pair.cpp sub.cpp ctx.cpp pgm_receiver.cpp swap.cpp decoder.cpp pgm_sender.cpp tcp_connecter.cpp devpoll.cpp pgm_socket.cpp tcp_listener.cpp encoder.cpp pipe.cpp tcp_socket.cpp epoll.cpp poll.cpp thread.cpp err.cpp poller_base.cpp transient_session.cpp forwarder.cpp pub.cpp trie.cpp fq.cpp pull.cpp uuid.cpp io_object.cpp push.cpp xrep.cpp io_thread.cpp queue.cpp xreq.cpp ip.cpp rep.cpp zmq_connecter.cpp kqueue.cpp req.cpp zmq.cpp lb.cpp select.cpp zmq_engine.cpp named_session.cpp session.cpp zmq_init.cpp object.cpp zmq_listener.cpp mailbox.cpp

LOCAL_LDLIBS := -luuid -lc -lm -lstdc++
include $(BUILD_SHARED_LIBRARY)

=== debian/rules ===
#!/usr/bin/make -f

#For our custom rules on all mythtv packages
# get-orig-source
# info
# newest-revision
include debian/mythtv.make

#                                      #
# Architecture Independent Build flags #
#                                      #
MYTHTV_CONFIGURE_OPTS +=    --compile-type=profile \
				--prefix=/usr \
				--runprefix=/usr \
                                --disable-mythlogserver \
				--enable-crystalhd \
				--enable-lirc \
				--enable-audio-alsa \
				--enable-audio-oss \
				--enable-dvb \
				--enable-ivtv \
				--enable-firewire \
				--enable-joystick-menu \
				--with-bindings=perl \
				--enable-ffmpeg-pthreads \
				--enable-pic \
				--perl-config-opts="INSTALLDIRS=vendor" \
				--enable-libvpx \
				--enable-sdl \
				--enable-libmp3lame \
				--enable-libx264
ifeq "$(DEB_BUILD_ARCH)" "armhf"
	MYTHTV_CONFIGURE_OPTS += --disable-opengl-video --disable-opengl --disable-vaapi
else
	MYTHTV_CONFIGURE_OPTS += --enable-opengl-video --enable-vaapi
endif
#                                    #
# Architecture dependent build flags #
#                                    #
DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
ifeq "$(DEB_BUILD_ARCH)" "i386"
	MYTHTV_CONFIGURE_OPTS +=  --cpu=i686 --enable-mmx  --enable-vdpau
endif
ifeq "$(DEB_BUILD_ARCH)" "amd64"
	MYTHTV_CONFIGURE_OPTS += --enable-vdpau
endif
ifeq "$(DEB_BUILD_ARCH)" "powerpc"
	MYTHTV_CONFIGURE_OPTS += --enable-altivec --extra-cxxflags="-maltivec"
endif

#Mythplugins configure opts
MYTHPLUGINS_CONFIGURE_OPTS += --prefix=/usr \
                              --enable-all  \
                              --zm-version=1.22.3 \ 
                              --qmake=/usr/bin/qmake \

ifeq "$(DEB_BUILD_ARCH)" "armhf"
	MYTHPLUGINS_CONFIGURE_OPTS += --disable-opengl
endif

#Use moar CPUs for jya
PROCESSORS       ?= $(shell grep -ic ^processor /proc/cpuinfo)
ifeq (0,$(PROCESSORS))
PROCESSORS := 1
endif

#link problem with binutils 2.21 in precise
#and ffmpeg sync from 0.26, libswscale
LDFLAGS:=$(shell DEB_LDFLAGS_MAINT_STRIP="-Wl,-Bsymbolic-functions" dpkg-buildflags --get LDFLAGS)

# Need a writable home directory for ccache
export HOME=$(CURDIR)/debian/home

%:
	dh $@ --parallel

#Rather than have a configure/build/install phase, combine them all so we can do each part in order
override_dh_auto_install:
	if [ -f mythtv/VERSION ] && [ -f debian/DESCRIBE ]; then \
		mv mythtv/VERSION mythtv/VERSION.old ;\
		cp debian/DESCRIBE mythtv/VERSION ;\
	fi
	cd mythtv && sh version.sh `pwd`

	mkdir $(CURDIR)/debian/home

	#mythtv
	cd mythtv && ./configure $(MYTHTV_CONFIGURE_OPTS)
	$(MAKE) -j$(PROCESSORS) -C mythtv
	$(MAKE) -C mythtv install INSTALL_ROOT=$(CURDIR)/debian/tmp

	#mythplugins
	cd mythplugins && ./configure $(MYTHPLUGINS_CONFIGURE_OPTS) --mythroot=$(CURDIR)/debian/tmp
	$(MAKE) -j$(PROCESSORS) -C mythplugins
	for plugin in mytharchive \
	mythgallery mythgame mythmusic mythmovies mythnews \
	mythweather mythzoneminder mythbrowser mythnetvision ; do \
		$(MAKE) -C mythplugins/$$plugin install INSTALL_ROOT=$(CURDIR)/debian/$$plugin; \
	done

	#(MythTV) We replace these with shell scripts
	mv debian/tmp/usr/bin/mythfrontend debian/tmp/usr/bin/mythfrontend.real
	mv debian/tmp/usr/bin/mythtv-setup debian/tmp/usr/bin/mythtv-setup.real

	#(All) Make sure python/perl scripts are executable
	find debian/tmp/usr/share -name "*.p[y|l]" -type f -size +1b -exec chmod 755 {} \;

override_dh_install:
	dh_install -Xusr/share/mythtv/fonts/Free \
                   -Xusr/share/mythtv/fonts/Purisa \
                   -Xusr/share/mythtv/fonts/Droid \
                   -Xusr/lib/libmythzmq.la \
                   -Xusr/share/mythtv/fonts/tiresias_gpl3.txt \
                   --fail-missing

override_dh_installinit:
	dh_installinit

	#(MythTV) Remove license files
	find debian/tmp -name "COPYING" -delete
	find debian/tmp -name "README.license" -delete

	#(MythTV) Set correct permissions for png and html files
	find debian/tmp -regex '.*\.png$$' -print0 | xargs -0 -r chmod 644
	find debian/tmp -regex '.*\.html$$' -print0 | xargs -0 -r chmod 644

override_dh_strip:
	dh_strip --dbg-package=mythtv-dbg

override_dh_makeshlibs:
	dh_makeshlibs -V -Xusr/lib/mythtv/filters

override_dh_compress:
	dh_compress -X.pl -X.py

override_dh_fixperms:
	dh_fixperms -X.pl -X.py
	#themes shouldn't be like this
	for type in png html txt jpg xml ; do \
		find debian -name "*.$$type" -type f -exec chmod -x {} \; ;\
	done

override_dh_auto_clean:
	[ -f mythtv/config.mak ] && $(MAKE) -C mythtv distclean || true
	[ -f mythplugins/config.pro ] && $(MAKE) -C mythplugins distclean || true
	[ -f mythtv/VERSION.old ] && mv mythtv/VERSION.old mythtv/VERSION || true
	dh_auto_clean
	debconf-updatepo
	rm -rf $(CURDIR)/debian/home

override_dh_installdocs:
	dh_installdocs
	#(MythTV) Remove license files from contrib documentation.
	find debian/mythtv-backend/usr/share/doc/mythtv-backend/contrib \
		-name "COPYING" -delete
	rm -f debian/mythtv-common/usr/share/mythtv/themes/Terra/watermarks/README.license

	#(MythWeb)
	for file in LICENSE README INSTALL; do \
		rm -f debian/mythweb/usr/share/mythtv/mythweb/$$file ;\
	done
	find debian/mythweb -name ".gitignore" -type f -delete || true
	rm -rf debian/mythweb/usr/share/mythtv/mythweb/data/tv_icons
	rm -rf debian/mythweb/usr/share/mythtv/mythweb/data/cache

	#(Myththemes)
	rm -f debian/mythtv-theme-childish/usr/share/mythtv/themes/Childish/COPYING

## mythtv 0.27.0+fixes.20130919.5b917e8

=== debian/changelog ===
mythtv (2:0.27.0+fixes.20130919.5b917e8-0ubuntu1) saucy; urgency=low

  * Scripted Build from fixes git packaging [8e8fe6d]
  * Packaging changes between 20130907 and 20130919:
  * [f641350] drop armel build flags and disable VAAPI on armhf builds
    to fix FTBFS in Ubuntu
  * New upstream checkout (5b917e8)
    - Final 0.27 release.

 -- Mario Limonciello <superm1@ubuntu.com>  Wed, 18 Sep 2013 20:43:03 -0500

mythtv (2:0.27.0+fixes.20130907.ac841f0-0ubuntu3) saucy; urgency=low

  * Add a patch to readjust the inclusion order to fix FTBFS on PPC.
    - Submitted upstream at http://code.mythtv.org/trac/ticket/11835

 -- Mario Limonciello <superm1@ubuntu.com>  Tue, 10 Sep 2013 12:29:00 -0500

mythtv (2:0.27.0+fixes.20130907.ac841f0-0ubuntu2) saucy; urgency=low

  * debian/rules:
    - Build without VAAPI support on armhf to try to resolve FTBFS.

 -- Mario Limonciello <superm1@ubuntu.com>  Mon, 09 Sep 2013 10:39:55 -0500

mythtv (2:0.27.0+fixes.20130907.ac841f0-0ubuntu1) saucy; urgency=low

  * New upstream checkout (ac841f0)
  * Scripted Build from fixes git packaging [cdb4b3f]
  * Packaging changes between 20130828 and 20130907:
  * [cdb4b3f] disable libmyth-dev zeromq related stuff
  * [7d7feaa] if requesting a build for a different branch then
    currently running, switch branches
  * [eb8d08d] make build script identify branches properly even when
    executed in a different working directory
  * [48c3cd3] disable mythlogserver (LP: #1101395)

 -- Mario Limonciello <superm1@ubuntu.com>  Sat, 07 Sep 2013 01:08:53 -0500

mythtv (2:0.27.0~master.20130828.b2b7022-0ubuntu1) saucy; urgency=low

  * New upstream checkout (b2b7022)
  * Scripted Build from master git packaging [18ab870]
  * Packaging changes between 20120505 and 20130828:
  * [18ab870] build packaging changes into debian/changelog upon release
  * [39d4449] switch to 0.27 builds for master
  * [efe0e0c] fix instances of test-virtualbox in SQL file (LP: #1215440)
  * [223a44c] rename 0.26 to 0.27 sql
  * [b02a69d] remove debian/control - it's generated every time on build
  * [ac72833] actually make mythtv-dbg recommends rather than suggests
    so it will be installed by default
  * [06e718d] add missing dependency on libhttp-date-perl
  * [7e395a1] daemonize mythbackend to avoid logging to upstart console.
    expect an extra fork in the upstart job
  * [7bd8396] don't log to upstart log that mysql is alive, only errors
  * [5ae84f0] add a message on why we are using sudo for installing
    build-deps
  * [08101bc] set SIGKILL timeout on upstart job to 30 seconds
  * [72cf6a0] remove versioned dependency on libiec61883-dev
  * [364850c] use mk-build-deps to resolve binary build dependencies
  * [7bfd285] don't allow the scripts to run without a debian/ directory
  * [6a8e25f] ignore warnings when loading time zones into mysql
  * [1809a5d] toggle public_bind setting in debconf database based on
    what's in flat files (LP: #1159992)
  * [7568a9c] depends on libdate-calc-perl for mythweather
  * [9a84893] recommends on m2vrequantiser for mytharchive (LP: #1131506)
  * [9a351c7] add FreeSansBold.ttf to the symlinks (LP: #1131280)
  * [d585530] set the kill timeout on the upstart job to 10 seconds to
    be safer on shutdown.
  * [aa67a49] let upstart handle the backend process correctly
  * [41a8fb2] add the new mythscreenwizard binary to the frontend
    packaging
  * [c5afd80] add conflict to older library versions
  * [623b954] rename 0.25 stuff to 0.26
  * [00027cc] drop support for mysql.txt, using only config.xml going
    forward
  * [b2acc53] mythtv-common depends on libxml-xpath-perl for config.xml
    parsing
  * [a7d0a63] load timezones into mysql during mythtv-database postinst
    (LP: #1010491)
  * [5bb2c43] enable sdl so that mythffplay will work (see fb90f73)
  * [a634b5b] install README's for fonts in mythtv-doc
  * [9587925] switch libtiff5-dev and libtiff4-dev order to fix FTBFS on
    quantal
  * [37abce8] let libtiff5-dev resolve build dependencies too.
  * [c4b25d5] Remove extra dpkg-parsechangelog call that was mistakenly
    added.
  * [b071647] missed mythfrontend, add that in logging too.
  * [3dfd8f9] update rsyslog for 0.26.
  * [5240276] Install MythTV specific sysctl.conf file
  * [d861262] install libmythzmq pkgconfig pc file to libmyth-dev
    package
  * [928bfb4] install pkgconfig and static library for libmythzmq into
    the -dev package. the libtool library still needs an override (it
    probably shouldn't be installed anywhere)
  * [b8545e8] zmq/nzmq/QJson include paths were moved to
    usr/include/mythtv.  remove override
  * [c1e4604] explicitly ignore libmythzmq.la as wildcards don't appear
    to work properly with dh_install
  * [28553da] fix wildcard matching for ignoring zmq files
  * [d29ecda] add zeromq_install_paths.patch to fix FTBFS.
  * [b42d0e4] drop recommends on adept-notifier
  * [9d06c29] update source_mythtv apport hook to python3 compatible
  * [e81f08d] install copy of zeromq libaries
  * [144e1d2] ignore libmythqjson.prl
  * [89f5e74] Don't install QJson libararies or headers.
  * [6fd1730] install mythlogserver
  * [f1298b5] Install otf fonts too
  * [c63df57] add support for droid fonts
  * [ae0095e] Add purisa font support
  * [d055b85] mythtv-common dependencies-> move to 1 for each line (more
    readable)
  * [9020a36] Pass INSTALL_ROOT during the build process of mythtv as
    well so that it gets applied to the zeromq ./configure run as well

  [ Mario Limonciello ]
  * Switch to 0.27 branch for master builds.
  * Cleanup lintian errors:
    - debian/control.in: description-synopsis-starts-with-article
    - debian/mythweb.config: maintainer-script-ignores-errors
  * Add build dependency for uuid-dev.
  * Add a workaround for FTBFS w/ linking when using binutils 2.21
    - See http://goo.gl/KDK9o for more information.
  * Drop recommends on adept-notifier.
  * fix get-orig-source rule's broken tarball fetch from archive.


=== debian/control ===
Source: mythtv
Section: graphics
Priority: optional
Maintainer: MythTV Ubuntu Maintainers <ubuntu-mythtv@lists.ubuntu.com>
Uploaders: Mario Limonciello <superm1@ubuntu.com>,
           Andres Mejia <amejia@debian.org>,
Homepage: http://www.mythtv.org
Standards-Version: 3.9.3
Vcs-Git: git://github.com/MythTV/packaging.git
Build-Conflicts: libqt3-mt-dev
Build-Depends:  debhelper (>= 7.0.50~),
                quilt,
                ccache,
                yasm,
                libqt4-dev,
                libqtwebkit-dev | libqt4-webkit-dev | libqt4-dev (<< 4:4.7.0~beta1),
                libqt4-opengl-dev,
                libdvb-dev,
                po-debconf,
                texi2html,
                python-central,
                linux-kernel-headers,
                libdvdnav-dev,
                libfreetype6-dev,
                libavc1394-dev,
                libiec61883-dev,
                liblircclient-dev,
                libxinerama-dev | xlibs-static-dev (<< 6.8.1-1),
                libxxf86vm-dev | xlibs-static-dev (<< 6.8.1-1),
                libcrystalhd-dev [i386 amd64],
                libxvmc-dev | xlibs-static-dev (<< 6.8.1-1),
                libxext-dev | xlibs-static-dev (<< 6.8.1-1),
                libimlib2-dev,
                libasound2-dev,
                libmp3lame-dev | liblame-dev,
                libvorbis-dev,
                libdts-dev,
                lsb-release,
                libpulse-dev,
                libxrandr-dev,
                libfftw3-dev,
                libva-dev,
                libvdpau-dev [i386 amd64 armel] | nvidia-190-libvdpau-dev [i386 amd64] | nvidia-185-libvdpau-dev [i386 amd64] | nvidia-180-libvdpau-dev [i386 amd64],
                libudev-dev,
                libclass-dbi-perl,
                libnet-upnp-perl,
                libio-socket-inet6-perl,
                libdbd-mysql-perl,
                libjson-perl,
                libwww-perl,
                python-oauth,
                python-lxml,
                python-mysqldb,
                python-pycurl,
                python-urlgrabber,
                libgl1-mesa-dev | xlibmesa-gl-dev | xlibmesa-dev | libgl-dev,
                libdvdread-dev | libdvdread3-dev,
                fftw-dev,
                libvorbis-dev,
                libflac-dev,
                libmad0-dev,
                libcdaudio-dev,
                libcdio-dev,
                libcdparanoia-dev | libcdparanoia0-dev,
                libsdl1.2-dev,
                libfaad-dev | libfaad2-dev,
                libexif-dev (>= 0.6.9-6),
                libtiff5-dev | libtiff4-dev | libtiff-dev,
                libxv-dev,
                libtag1-dev,
                libvisual-0.4-dev,
                libmysqlclient-dev,
                libdate-manip-perl,
                libxml-simple-perl,
                libimage-size-perl,
                libdatetime-format-iso8601-perl,
                libsoap-lite-perl,
                libx264-dev,
                libvpx-dev,
                libavahi-compat-libdnssd-dev,
                libssl-dev,
                libcdio-cdda-dev,
                libcdio-paranoia-dev,
                libxml2-dev,
                libass-dev,
                libcec-dev,
                uuid-dev,
                libxml-xpath-perl

Package: mythtv
Architecture: all
Depends: mysql-server, mythtv-database, mythtv-frontend, mythtv-backend, ntp | time-daemon | ntp-simple, ${misc:Depends}
Suggests: mythtv-doc
Description: Personal video recorder application (client and server)
 MythTV implements the following PVR features, and more, with a
 unified graphical interface:
 .
  - Basic 'live-tv' functionality. Pause/Fast Forward/Rewind "live" TV.
  - Video compression using RTjpeg or MPEG-4
  - Program listing retrieval using XMLTV
  - Themable, semi-transparent on-screen display
  - Electronic program guide
  - Scheduled recording of TV programs
  - Resolution of conflicts between scheduled recordings
  - Basic video editing
 .
 http://www.mythtv.org/
 .
 This package will install a complete MythTV client/server environment on a
 single system.  If you are intended on using this as your only MythTV machine,
 and this machine is already configured as a desktop, this package will get you
 up and running switfly.
 .
 If you are intended on installing this on a standalone/non-desktop machine,
 you should look into the metapackages available:
 mythtv-backend-master (backend with a local database)
 mythtv-backend (backend needing a remote database)

Package: mythtv-common
Architecture: any
Depends: pwgen,
         adduser,
         mysql-client,
         fonts-liberation | ttf-liberation,
         fonts-droid | ttf-droid,
         ttf-dejavu,
         fonts-tlwg-purisa,
         python,
         libxml-xpath-perl,
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: mythtv-doc
Recommends: mythtv-dbg
Conflicts: mythtv (<< 0.8-1), 
           mythmusic (<< 0.20.99+trunk14393), 
           mythweather (<< 0.20.99+trunk14393), 
           mythcontrols,
           mythtv-themes, 
           mythtv-theme-mythcenter, 
           mythtv-theme-mythcenter-wide, 
           mythtv-theme-gray-osd, 
           mythtv-theme-isthmus,
           mythtv-theme-blootube, 
           mythtv-theme-blootube-wide,
           mythtv-theme-blootubelite-wide,
           mythtv-theme-glass-wide,
           mythtv-theme-projectgrayhem,
           mythtv-theme-proejctgrayhem-wide,
           mythtv-theme-metallurgy,
           mythtv-theme-minimalist-wide,
           mythtv-theme-retro,
           mythtv-theme-titivillus,
           mythtv-theme-iulius,
           mythtv-theme-childish,
           mythtv-theme-neon-wide
Replaces:  mythtv (<< 0.8-1), 
           mythtv-frontend (<< 0.23.0~trunk23548), 
           mythmusic (<< 0.20.99+trunk14393), 
           mythweather (<< 0.20.99+trunk14393), 
           mythcontrols (<< 0.20.trunk19500), 
           mythcontrols, mythtv-theme-mythcenter, 
           mythtv-theme-mythcenter-wide, 
           mythtv-theme-isthmus, 
           mythtv-theme-gray-osd, 
           mythtv-backend (<< 1:0.24.0+fixes27252), 
           mythtv-database (<< 0.24.0~trunk25638), 
           mythvideo
Breaks:    mythtv-backend (<< 1:0.24.0+fixes27252), 
           mythvideo
Description: Personal video recorder application (common data)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains infrastructure needed by both the client and the
 server.

Package: mythtv-doc
Architecture: all
Conflicts: mythtv (<< 0.8-1)
Section: doc
Replaces: mythtv (<< 0.8-1)
Depends: ${misc:Depends}
Description: Personal video recorder application (documentation)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains documentation, including the MythTV HOWTO.

Package: mythtv-database
Architecture: all
Depends: mythtv-common, libdbd-mysql-perl, mysql-client, cron, ${misc:Depends}
Recommends: update-notifier | update-notifier-kde
Conflicts: mythtv (<< 0.8-1), mythtv-common (<< 0.8-2)
Replaces: mythtv (<< 0.8-1), mythtv-common (<< 0.8-2)
Description: Personal video recorder application (database)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package sets up a MySQL database for use by MythTV. It should be
 installed on the system where the MySQL server resides.

Package: mythtv-backend
Architecture: any
Depends: mythtv-common, mythtv-transcode-utils, ${shlibs:Depends}, cron, wget, zenity | kdebase-bin, gksu | kdebase-bin, xterm, python, ${misc:Depends}
Conflicts: mythtv (<< 0.8-1)
Replaces: mythtv (<< 0.8-1), mythtv-frontend (<= 0.20-0.4)
Recommends: ntp | time-daemon | ntp-simple, logrotate, libmyth-python, libmythtv-perl
Suggests: mythtv-frontend, mythweb, mythtv-database, xmltv-util
Description: Personal video recorder application (server)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains only the server software, which provides video and
 audio capture and encoding services. In order to be useful, it requires a
 mythtv-frontend installation, either on the same system or one reachable
 via the network.
 .
 A database is also required. The mythtv-database package must be installed,
 either on the same system, or one reachable via the network.
 .
 For a complete installation of all MythTV components, install the 'mythtv'
 package.

Package: mythtv-transcode-utils
Architecture: any
Depends: mythtv-common, ${shlibs:Depends}, ${misc:Depends}
Conflicts: mythtv-backend (<< 0.20.2-0ubuntu1)
Replaces: mythtv-backend (<< 0.20.2-0ubuntu1)
Suggests: mythtv-backend, mytharchive
Description: Utilities used for transcoding MythTV tasks
 Some utilities are applicable for both a frontend or a backend machine.
 This package provides utilities that can be used on both without
 requiring an entire backend to be installed.

Package: mythtv-frontend
Architecture: any
Depends: mythtv-common, 
         ${shlibs:Depends}, 
         ${misc:Depends},
         libnotify-bin,
         adduser, 
         zenity | kdebase-bin, 
         gksu | kdebase-bin, 
         wmctrl, 
         libxml-simple-perl,
         libwww-perl,
         libmyth-python,
         transcode,
         python,
         python-imdbpy,
Recommends: libmythtv-perl, python-imaging
Suggests: mythtv-backend, mythmusic, mythweather, mythgallery, mythgame, ntp | time-daemon | ntp-simple
Conflicts: mythtv (<< 0.8-1), mythappearance (<< 0.21.0), mythstream (<< 0.21.0), mythflix (<< 0.23.0)
Replaces: mythtv (<< 0.8-1),  mythappearance (<< 0.21.0), mythvideo
Breaks: mythvideo
Description: Personal video recorder application (client)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains only the client software, which provides a front-end
 for playback and configuration. It requires access to a mythtv-backend
 installation, either on the same system or one reachable via the network.
 .
 A database is also required. The mythtv-database package must be installed,
 either on the same system, or one reachable via the network.
 .
 For a complete installation of all MythTV components, install the 'mythtv'
 package.

Package: libmyth-0.27-0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, libqt4-sql-mysql, ${misc:Depends}
Conflicts: mythtv (<< 0.7-5), libmyth-0.23-0, libmyth-0.24-0, libmyth-0.25-0, libmyth-0.26-0
Replaces: mythtv (<< 0.7-5), libmyth-0.23-0, libmyth-0.24-0, libmyth-0.25-0, libmyth-0.26-0
Description: Common library code for MythTV and add-on modules (runtime)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains a shared library, libmyth, which is used by various
 components in the system.

Package: libmyth-dev
Architecture: any
Section: libdevel
Depends: libmyth-0.27-0 (= ${binary:Version}), ${misc:Depends}
Provides: libmyth-0.27-0-dev
Conflicts: libmyth-0.27-0-dev
Description: Common library code for MythTV and add-on modules (development)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains files needed for developing applications which use
 libmyth (such as the various add-ons for MythTV)

Package: php-mythtv
Architecture: all
Depends:  ${misc:Depends}
Description: PHP Bindings for MythTV
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .

=== debian/rules ===
--- 
+++ 
@@ -68,9 +68,6 @@
 #and ffmpeg sync from 0.26, libswscale
 LDFLAGS:=$(shell DEB_LDFLAGS_MAINT_STRIP="-Wl,-Bsymbolic-functions" dpkg-buildflags --get LDFLAGS)
 
-# Need a writable home directory for ccache
-export HOME=$(CURDIR)/debian/home
-
 %:
 	dh $@ --parallel
 
@@ -81,8 +78,6 @@
 		cp debian/DESCRIBE mythtv/VERSION ;\
 	fi
 	cd mythtv && sh version.sh `pwd`
-
-	mkdir $(CURDIR)/debian/home
 
 	#mythtv
 	cd mythtv && ./configure $(MYTHTV_CONFIGURE_OPTS)
@@ -146,7 +141,6 @@
 	[ -f mythtv/VERSION.old ] && mv mythtv/VERSION.old mythtv/VERSION || true
 	dh_auto_clean
 	debconf-updatepo
-	rm -rf $(CURDIR)/debian/home
 
 override_dh_installdocs:
 	dh_installdocs
